GWT 2.7.0

## com.google.gwt.typedarrays.client
Class ArrayBufferNative

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.typedarrays.client.ArrayBufferNative

All Implemented Interfaces:
  ArrayBuffer

    public final class ArrayBufferNative

extends JavaScriptObject
implements ArrayBuffer

JS native implementation of `ArrayBuffer`.

Constructor Summary
`protected` | `ArrayBufferNative()`

Method Summary
`int` | `byteLength()` The length of the `ArrayBuffer` in bytes, which does not change.
`static ArrayBufferNative` | `create(int length)`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayBufferNative

    protected ArrayBufferNative()

Method Detail

### create

    public static ArrayBufferNative create(int length)

  Parameters:
    `length` -
  Returns:
    an `ArrayBuffer` instance

### byteLength

    public int byteLength()

  Description copied from interface: `ArrayBuffer`
  The length of the `ArrayBuffer` in bytes, which does not change.

  Specified by:
    `byteLength` in interface `ArrayBuffer`
  Returns:
    non-negative length

GWT 2.7.0